Set a platform LLM key
curl --request PUT \
--url https://api.agentsfleet.net/v1/admin/platform-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"source_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.agentsfleet.net/v1/admin/platform-keys"
payload = {
"provider": "<string>",
"source_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '<string>',
source_workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.agentsfleet.net/v1/admin/platform-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"source_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"request_id": "<string>"
}{
"docs_uri": "https://docs.agentsfleet.net/api-reference/error-codes#UZ-AGT-009",
"title": "Fleet not found",
"detail": "No fleet with id 'abc123' in this workspace.",
"error_code": "UZ-AGT-009",
"request_id": "<string>",
"current_state": "paused",
"user_message": "We couldn't find that Fleet. It may have been deleted, or the ID doesn't match one in this workspace.",
"etag": "<string>"
}Admin
Set a platform LLM key
Configures a platform-wide LLM provider key by referencing a workspace that has a self-managed key stored. The platform key proxies through the referenced workspace’s credential.
PUT
/
v1
/
admin
/
platform-keys
Set a platform LLM key
Authorizations
Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth
Body
application/json
⌘I